<?php

class KT_Discount_Code_Listen_KT_Outbound_Event {

	function __construct() {
		add_action( 'parse_request', array( $this, "process_outbound_event" ) );
	}

	function process_outbound_event() {
		if ( ! empty( self::get( 'klicktipp-outbound' ) ) && ! empty( self::get( 'discount-code' ) ) ) {
			$kt_discount_code_field = get_option( 'kt_discount_code_field' );
			$kt_discount_code = get_option( 'kt_discount_code' );

			$email = self::post( 'email' );
			$connection = kt_discount_code_connect_api();

			if ( ! isset( $connection['success'] ) ) {
				$error =   array( $connection['error'] );
			} else {
				$connector = $connection['success'];

				if ( is_array( $kt_discount_code ) ) {
					$discount_code = array_shift( $kt_discount_code );
					$fields[$kt_discount_code_field] = $discount_code;
					$subscriber_id = $connector->subscriber_search( $email );
					if ( $subscriber_id ) {
						// echo $smsnumber;
						$subscriber = $connector->subscriber_update( $subscriber_id, $fields );
					}

					update_option( 'kt_discount_code', $kt_discount_code );
				}

			}
		}
	}


	public static function get( $name, $array = null ) {
		if ( ! $array )
			$array = $_GET;

		if ( isset( $array[$name] ) )
			return $array[$name];

		return "";
	}


	public static function post( $name ) {
		if ( isset( $_POST[$name] ) )
			return $_POST[$name];

		return "";
	}
}

new KT_Discount_Code_Listen_KT_Outbound_Event();
