<?php
/*
Plugin Name: Klick Tipp Discount Code
Description: Senden Sie Coupon Codes nach Klick-Tipp.
Author: KlickTipp-Solutions.de
Author URI: https://www.klicktipp-solutions.de
Plugin URI: https://www.klicktipp-solutions.de/
Version: 1.1
*/
define( "KT_DISCOUNT_CODE_PLUGIN_URL", plugins_url() . "/" . basename( dirname( __FILE__ ) ) );
define( "KT_DISCOUNT_CODE_PLUGIN_DIR", WP_PLUGIN_DIR . "/" . basename( dirname( __FILE__ ) ) );

define( 'KT_DISCOUNT_CODE_STORE_URL', 'https://www.klicktipp-solutions.de' );
define( 'KT_DISCOUNT_CODE_ITEM_ID', '8749' );
define( 'KT_DISCOUNT_CODE_VERSION',  '1.1' );
define( 'KT_DISCOUNT_CODE_PLUGIN_FILE', __FILE__ );
if ( ! class_exists( 'EDD_SL_Plugin_Updater' ) ) {
	// load our custom updater
	include dirname( __FILE__ ) . '/updater/EDD_SL_Plugin_Updater.php';
}
if ( ! class_exists( 'KlicktippConnector' ) ) {
	require_once KT_DISCOUNT_CODE_PLUGIN_DIR . '/inc/lib/klicktipp.api.inc';
}

include_once 'updater/license.php';
require_once KT_DISCOUNT_CODE_PLUGIN_DIR . '/inc/admin/class-kt-discount-code-settings.php';

require_once KT_DISCOUNT_CODE_PLUGIN_DIR . '/inc/class-kt-discount-code-listen-outbound-event.php';

/**
 * Connect to Klick Tipp Api
 *
 * @return void
 */

function kt_discount_code_connect_api() {
	$settings = get_option( 'kt_discount_code_settings' );
	if (  empty( $settings['kt_username'] ) ) {
		return  array( 'error'=>'Please save correct username/password in plugin settings' );
	}
	$connector = new KlicktippConnector();
	$logged_in = $connector->login( $settings['kt_username'], $settings['kt_password'] );
	if ( ! $logged_in ) {
		return array( 'error'=>$connector->get_last_error() );
	} else {
		return array( 'success' => $connector );
	}
}
